Package csb :: Package bio :: Package structure :: Class Structure

[frames] | no frames]

# Class Structure

source code

                object --+
                         |
    core.AbstractContainer --+
                             |
      core.AbstractNIContainer --+
                                 |
                    object --+   |
                             |   |
                AbstractEntity --+
                                 |
                                Structure

Represents a single model of a PDB 3-Dimensional molecular structure. Provides access to the Chain objects, contained in the model:

    >>> structure['A']
    <Chain A: Protein>
    >>> structure.chains['A']
    <Chain A: Protein>
    >>> structure.items
    <iterator of Chain-s>

Nested Classes
Inherited from `core.AbstractContainer`: `__metaclass__`

Instance Methods

__init__(self, accession) x.__init__(...) initializes x; see help(type(x)) for signature | source code

__repr__(self) repr(x) | source code

str

to_fasta(self) Dump the structure in FASTA format. | source code

to_pdb(self, output_file=None) Dump the whole structure in PDB format. | source code

Inherited from `core.AbstractNIContainer`: `__getitem__`

Inherited from `core.AbstractContainer`: `__bool__`, `__iter__`, `__len__`, `__nonzero__`

Inherited from `AbstractEntity`: `components`, `get_coordinates`, `transform`

Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__setattr__`, `__sizeof__`, `__str__`, `__subclasshook__`

Static Methods

Structure

from_chain(chain) A Structure factory, which instantiates and returns a new Structure with chain as deep cpoy of chain | source code

Class Variables
| __abstractmethods__ = ``frozenset([``])``

Properties
str | accession Accession number
StructureChainsTable | chains Access chains by their chain identifiers
Chain or None | first_chain The first Chain in the structure (if available)
iterator of AbstractEntity | items Iterator over all immediate children of the entity
int | model_id Model ID
| resolution Resolution in Angstroms
Inherited from `object`: `__class__`

Method Details

### __init__(self, accession)
(Constructor)

source code

x.__init__(...) initializes x; see help(type(x)) for signature

Parameters:
  - `accession` (str) - accession number of the structure
Overrides: object.__init__
  (inherited documentation)

### __repr__(self)
(Representation operator)

source code

repr(x)

Overrides: object.__repr__
  (inherited documentation)

### from_chain(chain)
Static Method

source code

A Structure factory, which instantiates and returns a new Structure with chain as deep cpoy of chain

Parameters:
  - `chain` (Chain) - the chain which will comprise the new structure
Returns: Structure

### to_fasta(self)

source code

Dump the structure in FASTA format.

Returns: str
  FASTA-formatted string with all chains in the structure

Deprecated: this method will be removed soon. Use csb.bio.sequence.ChainSequence.create instead

### to_pdb(self, output_file=None)

source code

Dump the whole structure in PDB format.

Parameters:
  - `output_file` (str or stream) - output file name or open stream

Property Details

### accession

Accession number

Get Method:
  unreachable.accession(self) - Accession number
Set Method:
  unreachable.accession(self, accession)
Type:
  str

### chains

Access chains by their chain identifiers

Get Method:
  unreachable.chains(self) - Access chains by their chain identifiers
Type:
  StructureChainsTable

### first_chain

The first Chain in the structure (if available)

Get Method:
  unreachable.first_chain(self) - The first Chain in the structure (if available)
Type:
  Chain or None

### items

Iterator over all immediate children of the entity

Get Method:
  unreachable.items(self)
Type:
  iterator of AbstractEntity

### model_id

Model ID

Get Method:
  unreachable.model_id(self) - Model ID
Set Method:
  unreachable.model_id(self, value)
Type:
  int

### resolution

Resolution in Angstroms

Get Method:
  unreachable.resolution(self) - Resolution in Angstroms
Set Method:
  unreachable.resolution(self, value)